Subject: Re: bug#48654: Overfull hbox, Unicode code points style (display.texi)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 May 2021 11:24:14 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 26 May 2021 21:00:47 +0200
> 
> >>> Also, why remove @code{..} from the "U+NNNN" notation -- what does
> >>> that solve?
> >> Because, ~2 years ago you decided to follow Unicode docs notation,
> >> and I'm just fixing the leftovers. See your commit:
> >> (...)/emacs.git/commit/?id=f68b33f50299339a36da29cd1913d19fd5f288e0
> > OK, that just emphasizes the importance of providing the commit log
> > message with reasoning when you propose a patch, TIA.
> 
> There were various styles of Unicode code points and character names
> across Emacs manual ~2 years ago. It was decided to follow Unicode
> notation, so I'm following it. Then, the reason is... consistency?
> 
> Perhaps you could use the same messages:
>     Fix styling of Unicode codepoints in manuals
> OR
>     Canonicalize the style of "U+NNNN CHARACTER NAME".
> 
> >> I don't know if it's a good idea to keep this just in case someone
> >> changes the text in the future, or makes PDF using A5 page format.
> >> Currently (official PDF), it's not close to a line break.
> > What's the harm?
> 
> None? But...
> 
> >> (...) if it stays, I suggest moving it to DOCSTYLE.TEXI, (...)
> > Fine with me.
> 
> ...since you agreed with moving it to DOCSTYLE.TEXI, let it be the
> solution.

Thanks, could you please post an updated patch with all of the above
taken care of?